Page MenuHomePhabricator

Show add languages prompt for existing multilingual users
Closed, ResolvedPublic1 Story Points

Description

User story [Existing Multilingual user]

When opening the Wikipedia app after the latest update...
...I want to be made aware of new multiple language settings in the app...
...so that I can set up more languages in the app that I read and easily access more Wikipedia content.

Proposed solution

Show prompts for existing users of the app that we can detect having multiple device/keyboard languages set.

Redline mocks on Zeplin board will be tagged with Multilingual and Existing user onboarding

Notes on the design
  • The prompt will only be shown to users who have more than one device or keyboard language set, which is different to the language detected in use by the app. (I.e., existing users who are monolingual should not be shown this prompt)

QA Steps

Pre-conditions for all the following scenarios:
  • User was an existing Wikipedia Android app user who updated to the new version of the app with the multiple app language feature.
  • User's first system language is in English and one other language, e.g., Traditional Chinese
  • User has keyboard languages in the system languages (e.g., English and a Traditional Chinese variant), as well as a keyboard input for a 3rd language (e.g., French)
Steps
  1. User opens the for the first time after updating to this version containing multiple language support.
  2. User taps on search, which triggers the action to detect that more than one system/keyboard input language on the device. User is shown a prompt with information about the new multiple app languages feature, with a call to action to add detected languages. OR User is shown the existing feature discovery hint
  3. If user dismisses the prompt, the empty illustration for the user with only one languages will show with an additional "Add Wikipedia languages" CTA
1. Initial feed screen
2. Dialog over search when search invoked F166322052. Feature discovery hint
3a. Empty state
3b. Empty state keyboard hidden

Event Timeline

RHo created this task.Apr 3 2018, 2:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2018, 2:22 PM
RHo updated the task description. (Show Details)Apr 3 2018, 4:21 PM
RHo updated the task description. (Show Details)Apr 6 2018, 3:05 PM
RHo updated the task description. (Show Details)Apr 13 2018, 2:16 PM
RHo updated the task description. (Show Details)Apr 17 2018, 4:15 PM
RHo updated the task description. (Show Details)
Charlotte set the point value for this task to 1.Apr 17 2018, 4:24 PM

Change 430271 had a related patch set uploaded (by Sharvaniharan; owner: Sharvaniharan):
[apps/android/wikipedia@master] [WIP] Show add languages prompt for existing multilingual users

https://gerrit.wikimedia.org/r/430271

RHo added a comment.EditedMay 7 2018, 11:44 AM

hi @Sharvaniharan - I'm unable to test that the feature hint is not being shown because all user's device are being added by default: https://youtu.be/N8AhNpMK6aA

Secondly, users who only have one system language should not see the 'add languages' hints.
https://youtu.be/1c0hB223eq0

Finally, some visual design feedback on the empty state:

  • the "Add Wikipedia languages" button should use standard secondary style button which has 2dp border radii
  • empty state illustration is larger than expected (it should be 96x96dp)

Actual:


vs Expected - see Zeplin mock https://zpl.io/brrN701

@RHo screencast looks like you are testing for a new user... i see the onboarding appear. In this case you are rightly now able to see the tooltip. It has to be an update.

The illustration size before this change was 150dp, so I have changed it to 96dp only for this scenario. For non multilingual existing user upgrade I have left it at 150. Should it always be 96dp. We can have a quick chat on hangout if my question is not clear.

RHo added a comment.May 7 2018, 5:45 PM

@RHo screencast looks like you are testing for a new user... i see the onboarding appear. In this case you are rightly now able to see the tooltip. It has to be an update.

Argh, I cleared the cache after updating the first time so it was showing as new. Hmm can you screencast this one for me to review instead?

RHo added a comment.May 7 2018, 6:15 PM

Thanks!

The illustration size before this change was 150dp, so I have changed it to 96dp only for this scenario. For non multilingual existing user upgrade I have left it at 150. Should it always be 96dp. We can have a quick chat on hangout if my question is not clear.

Let's have it always be 96x96dp. Here's an updated xml & svg asset:

Will make the above svg change

Sharvaniharan added a comment.EditedMay 7 2018, 7:03 PM

After changes .. both image and the button radius.

1 Language


2 Languages

RHo added a comment.May 8 2018, 11:33 AM

Thanks @Sharvaniharan – the space between the graphic and text just needs to be reduced to 16dp and then it's perfect:

The youtube link appears to be invalid though so maybe I can look at it once it's merged into the Alpha and placed in design review instead.

Change 430271 merged by jenkins-bot:
[apps/android/wikipedia@master] Show add languages prompt for existing multilingual users

https://gerrit.wikimedia.org/r/430271

RHo added a comment.May 9 2018, 1:14 PM

hi @Sharvaniharan - the screencast for multingual update showing the tooltip hint LGTM, as do the visual tweaks to the empty search. However, the single langugage update screencast https://youtu.be/4iKzYZlzuPU is broken/invalid. Can I just confirm that they do not see the hint? If so, fine to move to QA for them to finish testing on more devices.

@RHo . yes... they do not see the hint. Not sure why youtube is failing.. I am still able to access the video.. Uploaded here too incase you want to take a look : https://drive.google.com/open?id=1PvN2OuYzY2QM2zsvRUZPMwdBuktnj6oI

Change 432422 had a related patch set uploaded (by Sharvaniharan; owner: Sharvaniharan):
[apps/android/wikipedia@master] Fix : asynchronous language update bug for tooltip

https://gerrit.wikimedia.org/r/432422

@RHo I have put in a minor fix for an edge case. Please read the commit message here : https://gerrit.wikimedia.org/r/#/c/432422/ and let me know if the scenario is actually a bug.

RHo added a comment.May 11 2018, 6:39 PM

hi @Sharvaniharan - Is the change to not show the tooltip if the user adds device languages subsequent to the update? We actually want to show the tooltip to these people (once only) too, since it would also benefit them to know about this feature. For example, someone who is learning a new language.

oh cool then! will abandon the patch! thanks for confirming..

Change 432422 merged by jenkins-bot:
[apps/android/wikipedia@master] Fix : asynchronous language update bug for tooltip

https://gerrit.wikimedia.org/r/432422

Change 432629 had a related patch set uploaded (by Sharvaniharan; owner: Sharvaniharan):
[apps/android/wikipedia@master] Fit to Fix: show tool tip

https://gerrit.wikimedia.org/r/432629

Change 432629 merged by jenkins-bot:
[apps/android/wikipedia@master] Fit to Fix: show tool tip

https://gerrit.wikimedia.org/r/432629

Change 433191 had a related patch set uploaded (by Sharvaniharan; owner: Sharvaniharan):
[apps/android/wikipedia@master] Hygiene: Removing empty string

https://gerrit.wikimedia.org/r/433191

Change 433191 merged by jenkins-bot:
[apps/android/wikipedia@master] Hygiene: Removing empty string

https://gerrit.wikimedia.org/r/433191

This looks good to me on 2.7.232-alpha-2018-05-18 with one exception. Unfortunately, I don't have an older version of the alpha build that I can use for the above scenario. Essentially I would need an older version to setup with multiple languages and then I could update the app and see this:

Everything else seems to work. @RHo If it looks good to you, then I'm fine to move this to signoff. If you happen to have an older alpha build stored somewhere, send it to me :)

RHo added a comment.May 18 2018, 5:15 PM

Sure thing @ABorba - here's a linl to download an older alpha from before multilingual capability was introduced:
https://drive.google.com/a/wikimedia.org/file/d/1oBmfxVH1VKohpSRPFqe6CO87bG5Hz4fy/view?usp=drivesdk

Awesome, thanks! Looks good to me on 2.7.232-alpha-2018-05-21

Dbrant closed this task as Resolved.Jun 27 2018, 8:04 PM